aboutsummaryrefslogtreecommitdiff
path: root/etc/bigloo/autoconf
diff options
context:
space:
mode:
Diffstat (limited to 'etc/bigloo/autoconf')
-rw-r--r--etc/bigloo/autoconf/Makefile53
-rwxr-xr-xetc/bigloo/autoconf/bfildir36
-rwxr-xr-xetc/bigloo/autoconf/blibdir36
-rwxr-xr-xetc/bigloo/autoconf/bversion42
-rwxr-xr-xetc/bigloo/autoconf/getbversion36
-rwxr-xr-xetc/bigloo/autoconf/gmaketest38
6 files changed, 241 insertions, 0 deletions
diff --git a/etc/bigloo/autoconf/Makefile b/etc/bigloo/autoconf/Makefile
new file mode 100644
index 0000000..c077107
--- /dev/null
+++ b/etc/bigloo/autoconf/Makefile
@@ -0,0 +1,53 @@
+#*=====================================================================*/
+#* serrano/prgm/project/skribe/etc/bigloo/autoconf/Makefile */
+#* ------------------------------------------------------------- */
+#* Author : Manuel Serrano */
+#* Creation : Thu Jun 19 20:48:50 1997 */
+#* Last change : Sat Oct 25 08:34:37 2003 (serrano) */
+#* Copyright : 1997-2003 Manuel Serrano, see LICENSE file */
+#* ------------------------------------------------------------- */
+#* The global autoconf Makefile (mainly for backuping). */
+#*=====================================================================*/
+
+#*---------------------------------------------------------------------*/
+#* Flags */
+#*---------------------------------------------------------------------*/
+POPULATION = Makefile bversion getbversion blibdir gmaketest \
+ blstlen bfildir
+
+#*---------------------------------------------------------------------*/
+#* pop ... */
+#*---------------------------------------------------------------------*/
+pop:
+ @ echo $(POPULATION:%=etc/bigloo/autoconf/%)
+
+#*---------------------------------------------------------------------*/
+#* clean */
+#*---------------------------------------------------------------------*/
+.PHONY: clean cleanall distclean
+
+clean:
+ @ find . \( -name '*[~%]' \
+ -o -name '.??*[~%]' \
+ -o -name '#*#' \
+ -o -name '?*#' \
+ -o -name \*core \) \
+ -type f -exec rm {} \;
+ @ echo "cleanup done..."
+ @ echo "-------------------------------"
+
+cleanall: clean
+distclean: cleanall
+
+#*---------------------------------------------------------------------*/
+#* distrib */
+#*---------------------------------------------------------------------*/
+distrib: $(POPULATION)
+ @ if [ `pwd` = $$HOME/prgm/project/bglk/autoconf ]; then \
+ echo "*** ERROR:Illegal dir to make a distrib `pwd`"; \
+ exit 1; \
+ fi
+ @ $(MAKE) clean
+ @ chmod a+rx $(POPULATION)
+
+
diff --git a/etc/bigloo/autoconf/bfildir b/etc/bigloo/autoconf/bfildir
new file mode 100755
index 0000000..128d5c7
--- /dev/null
+++ b/etc/bigloo/autoconf/bfildir
@@ -0,0 +1,36 @@
+#!/bin/sh
+#*=====================================================================*/
+#* serrano/prgm/project/scribe/autoconf/bfildir */
+#* ------------------------------------------------------------- */
+#* Author : Manuel Serrano */
+#* Creation : Tue Jan 12 14:53:33 1999 */
+#* Last change : Wed Aug 7 21:41:06 2002 (serrano) */
+#* ------------------------------------------------------------- */
+#* Find out the directory where Bigloo is installed */
+#*=====================================================================*/
+bigloo=bigloo
+
+#*---------------------------------------------------------------------*/
+#* We parse the arguments */
+#*---------------------------------------------------------------------*/
+while : ; do
+ case $1 in
+ "")
+ break;;
+ --bigloo=*|-bigloo=*)
+ bigloo="`echo $1 | sed 's/^[-a-z]*=//'`";;
+
+ -*)
+ echo "Unknown option \"$1\", ignored" >&2;;
+ esac
+ shift
+done
+
+#*---------------------------------------------------------------------*/
+#* We spawn a bigloo process to check its version number */
+#*---------------------------------------------------------------------*/
+$bigloo -q -eval "(begin (print *default-lib-dir*) (exit 0))"
+
+exit 0
+
+
diff --git a/etc/bigloo/autoconf/blibdir b/etc/bigloo/autoconf/blibdir
new file mode 100755
index 0000000..603d484
--- /dev/null
+++ b/etc/bigloo/autoconf/blibdir
@@ -0,0 +1,36 @@
+#!/bin/sh
+#*=====================================================================*/
+#* serrano/prgm/project/scribe/autoconf/blibdir */
+#* ------------------------------------------------------------- */
+#* Author : Manuel Serrano */
+#* Creation : Tue Jan 12 14:53:33 1999 */
+#* Last change : Wed Aug 7 21:41:48 2002 (serrano) */
+#* ------------------------------------------------------------- */
+#* Find out the directory where Bigloo library is read. */
+#*=====================================================================*/
+bigloo=bigloo
+
+#*---------------------------------------------------------------------*/
+#* We parse the arguments */
+#*---------------------------------------------------------------------*/
+while : ; do
+ case $1 in
+ "")
+ break;;
+ --bigloo=*|-bigloo=*)
+ bigloo="`echo $1 | sed 's/^[-a-z]*=//'`";;
+
+ -*)
+ echo "Unknown option \"$1\", ignored" >&2;;
+ esac
+ shift
+done
+
+#*---------------------------------------------------------------------*/
+#* We spawn a bigloo process to check its version number */
+#*---------------------------------------------------------------------*/
+$bigloo -q -eval "(begin (print *ld-library-dir*) (exit 0))"
+
+exit 0
+
+
diff --git a/etc/bigloo/autoconf/bversion b/etc/bigloo/autoconf/bversion
new file mode 100755
index 0000000..1f24c86
--- /dev/null
+++ b/etc/bigloo/autoconf/bversion
@@ -0,0 +1,42 @@
+#!/bin/sh
+#*=====================================================================*/
+#* serrano/prgm/project/scribe/autoconf/bversion */
+#* ------------------------------------------------------------- */
+#* Author : Manuel Serrano */
+#* Creation : Tue Jan 12 14:33:21 1999 */
+#* Last change : Sun Jan 13 07:30:21 2002 (serrano) */
+#* ------------------------------------------------------------- */
+#* Check the current bigloo version */
+#*=====================================================================*/
+
+bigloo=bigloo
+version=2.4b
+
+#*---------------------------------------------------------------------*/
+#* We parse the arguments */
+#*---------------------------------------------------------------------*/
+while : ; do
+ case $1 in
+ "")
+ break;;
+ --bigloo=*|-bigloo=*)
+ bigloo="`echo $1 | sed 's/^[-a-z]*=//'`";;
+
+ --version=*|-version=*)
+ version="`echo $1 | sed 's/^[-a-z]*=//'`";;
+
+ -*)
+ echo "Unknown option \"$1\", ignored" >&2;;
+ esac
+ shift
+done
+
+#*---------------------------------------------------------------------*/
+#* We spawn a bigloo process to check its version number */
+#*---------------------------------------------------------------------*/
+bver=`$bigloo -q -eval "(exit (print *bigloo-version*))"`
+echo $bver
+
+$bigloo -q -eval "(exit (if (string>=? *bigloo-version* \"$version\") 0 1))"
+
+exit $?
diff --git a/etc/bigloo/autoconf/getbversion b/etc/bigloo/autoconf/getbversion
new file mode 100755
index 0000000..ff83b1c
--- /dev/null
+++ b/etc/bigloo/autoconf/getbversion
@@ -0,0 +1,36 @@
+#!/bin/sh
+#*=====================================================================*/
+#* serrano/prgm/project/bglk/autoconf/getbversion */
+#* ------------------------------------------------------------- */
+#* Author : Manuel Serrano */
+#* Creation : Tue Jan 12 14:33:21 1999 */
+#* Last change : Mon May 22 10:47:46 2000 (serrano) */
+#* ------------------------------------------------------------- */
+#* Get the current bigloo version (with the level) */
+#*=====================================================================*/
+
+bigloo=bigloo
+
+#*---------------------------------------------------------------------*/
+#* We parse the arguments */
+#*---------------------------------------------------------------------*/
+while : ; do
+ case $1 in
+ "")
+ break;;
+ --bigloo=*|-bigloo=*)
+ bigloo="`echo $1 | sed 's/^[-a-z]*=//'`";;
+
+ --version=*|-version=*)
+ version="`echo $1 | sed 's/^[-a-z]*=//'`";;
+
+ -*)
+ echo "Unknown option \"$1\", ignored" >&2;;
+ esac
+ shift
+done
+
+#*---------------------------------------------------------------------*/
+#* We spawn a bigloo process to check its version number */
+#*---------------------------------------------------------------------*/
+$bigloo -q -eval "(begin (print *bigloo-version*) (exit 0))"
diff --git a/etc/bigloo/autoconf/gmaketest b/etc/bigloo/autoconf/gmaketest
new file mode 100755
index 0000000..1bedd72
--- /dev/null
+++ b/etc/bigloo/autoconf/gmaketest
@@ -0,0 +1,38 @@
+#!/bin/sh
+#*=====================================================================*/
+#* serrano/prgm/project/bigloo/autoconf/gmaketest */
+#* ------------------------------------------------------------- */
+#* Author : Manuel Serrano */
+#* Creation : Thu Jan 14 10:31:33 1999 */
+#* Last change : Thu May 18 07:19:28 2000 (serrano) */
+#* ------------------------------------------------------------- */
+#* Checsk that Make is GNU make */
+#*=====================================================================*/
+
+#*---------------------------------------------------------------------*/
+#* flags */
+#*---------------------------------------------------------------------*/
+make=make
+
+#*---------------------------------------------------------------------*/
+#* We parse the arguments */
+#*---------------------------------------------------------------------*/
+while : ; do
+ case $1 in
+ "")
+ break;;
+
+ --make=*)
+ make="`echo $1 | sed 's/^[-a-z]*=//'`";;
+
+ -*)
+ echo "Unknown option \"$1\", ignored" >&2;;
+ esac
+ shift
+done
+
+# Check the make version number
+$make -v --version | grep -i "gnu make" > /dev/null
+
+# Return the grep result
+exit $?